document.addEventListener('DOMContentLoaded', () => {
  const nameInput = document.getElementById('nameInput');
  const submitBtn = document.getElementById('submitBtn');
  const result = document.getElementById('result');

  const savedName = localStorage.getItem('userName');
  if (savedName) {
    showGreeting(savedName);
  }

  function handleSubmit() {
    const name = nameInput.value.trim();
    if (name) {
      localStorage.setItem('userName', name);
      showGreeting(name);
      nameInput.value = '';
    }
  }

  function showGreeting(name) {
    const greetings = [
      `Hello, ${name}! It's wonderful to meet you.`,
      `Welcome back, ${name}!`,
      `Glad to see you, ${name}!`,
      `Hi ${name}, you have a beautiful name!`
    ];
    const greeting = greetings[Math.floor(Math.random() * greetings.length)];
    
    result.textContent = greeting;
    result.classList.remove('show');
    
    // Force reflow
    void result.offsetWidth;
    
    result.classList.add('show');
  }

  submitBtn.addEventListener('click', handleSubmit);
  nameInput.addEventListener('keypress', (e) => {
    if (e.key === 'Enter') {
      handleSubmit();
    }
  });

  // Add focus animation
  nameInput.addEventListener('focus', () => {
    document.querySelector('.card').style.transform = 'translateY(-8px)';
  });

  nameInput.addEventListener('blur', () => {
    document.querySelector('.card').style.transform = 'translateY(0)';
  });
});
